/*
 *  TOPPERS ATK2
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel Version 2
 *
 *  Copyright (C) 2008-2013 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2011-2013 by FUJISOFT INCORPORATED, JAPAN
 *  Copyright (C) 2011-2013 by FUJITSU VLSI LIMITED, JAPAN
 *  Copyright (C) 2011-2013 by NEC Communication Systems, Ltd., JAPAN
 *  Copyright (C) 2011-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
 *  Copyright (C) 2011-2013 by Renesas Electronics Corporation, JAPAN
 *  Copyright (C) 2011-2013 by Sunny Giken Inc., JAPAN
 *  Copyright (C) 2011-2013 by TOSHIBA CORPORATION, JAPAN
 *  Copyright (C) 2011-2013 by Witz Corporation, JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: target_kernel.h 6837 2013-01-23 10:46:48Z fsi-dankei $
 */

/*
 *		Os.hΥåȰ¸NIOS2_DEVѡ
 *
 *  Υ󥯥롼ɥեϡOs.hǥ󥯥롼ɤ
 *  ¾Υե뤫ľܥ󥯥롼ɤ뤳ȤϤʤ
 */

#ifndef TOPPERS_TARGET_KERNEL_H
#define TOPPERS_TARGET_KERNEL_H

#define TOPPERS_TARGET_SUPPORT_ATT_MOD

/* åѥåκǾͤ */
#define TARGET_MIN_SSTKSZ 204

/* 󥿥ƥѤΥåǾͤ */
#define MINIMUM_OSTKSZ    256

/* ƥåΥǥեͤ */
#define DEFAULT_TASKSTKSZ				(1024U) /* 1K bytes */
#define DEFAULT_TASKSYSTEMSTKSZ			(1024U) /* 1K bytes */
#define DEFAULT_ISRSTKSZ				(1024U) /* 1K bytes */
#define DEFAULT_ISRSYSTEMSTKSZ			(1024U) /* 1K bytes */
#define DEFAULT_HOOKSTKSZ				(1024U) /* 1K bytes */
#define DEFAULT_NONTRUSTEDHOOKSTKSZ		(1024U) /* 1K bytes */
#define DEFAULT_TRUSTEDFUNCTIONSTKSZ	(128U)  /* 128 bytes */
#define DEFAULT_OSSTKSZ					(8192U) /* 8K bytes */

/*
 *  ץåǶ̤
 */
#include "nios2_gcc/prc_kernel.h"

#define TARGET_SVC_NUM (PRC_SVC_NUM)

#endif /* TOPPERS_TARGET_KERNEL_H */
